Index: package_tags/invirt-host-master/0.0.5/debian/changelog
===================================================================
--- package_tags/invirt-host-master/0.0.5/debian/changelog	(revision 1377)
+++ package_tags/invirt-host-master/0.0.5/debian/changelog	(revision 1377)
@@ -0,0 +1,31 @@
+invirt-host-master (0.0.5) unstable; urgency=low
+
+  * sipb-xen-base -> invirt-base
+
+ -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:28 -0400
+
+invirt-host-master (0.0.4) unstable; urgency=low
+
+  * Add invirt-images to dependencies
+
+ -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:08:57 -0400
+
+invirt-host-master (0.0.3) unstable; urgency=low
+
+  * sipb-xen-autoinstaller-host has a different name from its
+    source package sipb-xen-autoinstaller
+
+ -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 23:53:26 -0400
+
+invirt-host-master (0.0.2) unstable; urgency=low
+
+  * remove bitrotten sipb-xen-clvm-config
+
+ -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 23:45:28 -0400
+
+invirt-host-master (0.0.1) unstable; urgency=low
+
+  * First version as a real package rather than equivs.
+  * Rename from sipb-xen-host-master.
+
+ -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 21:05:16 -0400
Index: package_tags/invirt-host-master/0.0.5/debian/compat
===================================================================
--- package_tags/invirt-host-master/0.0.5/debian/compat	(revision 1377)
+++ package_tags/invirt-host-master/0.0.5/debian/compat	(revision 1377)
@@ -0,0 +1,1 @@
+4
Index: package_tags/invirt-host-master/0.0.5/debian/control
===================================================================
--- package_tags/invirt-host-master/0.0.5/debian/control	(revision 1377)
+++ package_tags/invirt-host-master/0.0.5/debian/control	(revision 1377)
@@ -0,0 +1,22 @@
+Source: invirt-host-master
+Section: base
+Priority: extra
+Maintainer: Invirt project <invirt@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0)
+Standards-Version: 3.8.0
+
+Package: invirt-host-master
+Architecture: all
+Description: Master metapackage for Invirt hosts
+ This package depends on everything an Invirt host needs.
+Depends: invirt-xen-config,
+ invirt-console-host,
+ invirt-remote-host,
+ invirt-images,
+ invirt-base,
+ sipb-xen-autoinstaller-host,
+ sipb-xen-dhcp,
+ sipb-xen-vnc-server,
+ debathena-kerberos-config,
+ debathena-ssh-server-config,
+ screen,
Index: package_tags/invirt-host-master/0.0.5/debian/copyright
===================================================================
--- package_tags/invirt-host-master/0.0.5/debian/copyright	(revision 1377)
+++ package_tags/invirt-host-master/0.0.5/debian/copyright	(revision 1377)
@@ -0,0 +1,16 @@
+This software was written as part of the Invirt project <invirt@mit.edu>.
+
+Copyright :
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in the file /usr/share/common-licenses/GPL.
Index: package_tags/invirt-host-master/0.0.5/debian/rules
===================================================================
--- package_tags/invirt-host-master/0.0.5/debian/rules	(revision 1377)
+++ package_tags/invirt-host-master/0.0.5/debian/rules	(revision 1377)
@@ -0,0 +1,3 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
Index: package_tags/invirt-host-master/0.0.5/notes
===================================================================
--- package_tags/invirt-host-master/0.0.5/notes	(revision 1377)
+++ package_tags/invirt-host-master/0.0.5/notes	(revision 1377)
@@ -0,0 +1,9 @@
+
+# install invirt-base:/etc/apt/sources.list.d/*
+apt-get update
+aptitude install sipb-xen-host-master
+
+# install keytab
+
+## to take up the new Xen-hypervisor kernel
+# shutdown -r now