Index: trunk/packages/invirt-xen-config/config.todo
===================================================================
--- trunk/packages/invirt-xen-config/config.todo	(revision 1426)
+++ trunk/packages/invirt-xen-config/config.todo	(revision 1452)
@@ -1,3 +1,3 @@
-xend-config.sxp: isolate patch
-files/etc/xen/scripts/vif-sipbroute: isolate patch
-files/etc/xen/scripts/vif-sipbroute: gateway, interface (for arpspoof)
+sysvms/*: MAC addresses
+vif-sipbroute: isolate patch
+vif-sipbroute: gateway, interface (for arpspoof)
Index: trunk/packages/invirt-xen-config/debian/changelog
===================================================================
--- trunk/packages/invirt-xen-config/debian/changelog	(revision 1426)
+++ trunk/packages/invirt-xen-config/debian/changelog	(revision 1452)
@@ -1,2 +1,8 @@
+invirt-xen-config (0.0.10) unstable; urgency=low
+
+  * Generate config files for sysvms
+
+ -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 07:40:13 -0400
+
 invirt-xen-config (0.0.9) unstable; urgency=low
 
Index: trunk/packages/invirt-xen-config/debian/invirt-xen-config.init
===================================================================
--- trunk/packages/invirt-xen-config/debian/invirt-xen-config.init	(revision 1426)
+++ trunk/packages/invirt-xen-config/debian/invirt-xen-config.init	(revision 1452)
@@ -14,5 +14,10 @@
 DESC="Invirt Xen host"
 PARENTPACKAGE=xend
-GEN_FILES=/etc/xen/xend-config.sxp.invirt
+GEN_FILES=(
+    /etc/xen/xend-config.sxp.invirt
+    /etc/xen/sysvms/s_master
+    /etc/xen/sysvms/s_remote
+    /etc/xen/sysvms/s_console
+    )
 
 dpkg -s "$PACKAGE" >/dev/null 2>/dev/null || exit 0
Index: trunk/packages/invirt-xen-config/debian/invirt-xen-config.install
===================================================================
--- trunk/packages/invirt-xen-config/debian/invirt-xen-config.install	(revision 1426)
+++ trunk/packages/invirt-xen-config/debian/invirt-xen-config.install	(revision 1452)
@@ -3,4 +3,5 @@
 invirt-database etc/xen
 vif-invirtroute etc/xen/scripts
+sysvms etc/xen
 
 debian/xend-config.sxp.invirt.mako etc/xen
Index: trunk/packages/invirt-xen-config/sysvms/s_console.mako
===================================================================
--- trunk/packages/invirt-xen-config/sysvms/s_console.mako	(revision 1452)
+++ trunk/packages/invirt-xen-config/sysvms/s_console.mako	(revision 1452)
@@ -0,0 +1,22 @@
+<%
+from invirt.config import structs as cfg
+%>
+import os
+
+release     = os.uname()[2]
+kernel      = '/boot/vmlinuz-%s' % release
+ramdisk     = '/boot/initrd.img-%s' % release
+memory      = '256'
+
+disk        = ['phy:xenvg/s_console_hda,hda,w']
+
+name        = 's_console'
+
+vif         = [ 'ip=${cfg.console.ip},mac=00:16:3E:7E:E4:DE' ]
+
+on_poweroff = 'destroy'
+on_reboot   = 'restart'
+on_crash    = 'restart'
+
+root = '/dev/hda1 ro'
+extra = '2 console=xvc0'
Index: trunk/packages/invirt-xen-config/sysvms/s_master.mako
===================================================================
--- trunk/packages/invirt-xen-config/sysvms/s_master.mako	(revision 1452)
+++ trunk/packages/invirt-xen-config/sysvms/s_master.mako	(revision 1452)
@@ -0,0 +1,23 @@
+<%
+from invirt.config import structs as cfg
+%>
+import os
+
+release     = os.uname()[2]
+kernel      = '/boot/vmlinuz-%s' % release
+ramdisk     = '/boot/initrd.img-%s' % release
+memory      = '1024'
+
+disk        = ['phy:xenvg/s_master_hda,hda,w',
+               'phy:xenvg/s_master_hdb,hdb,w']
+
+name        = 's_master'
+
+vif         = [ 'ip=${cfg.db.ip},mac=00:16:3E:5F:C1:D4' ]
+
+on_poweroff = 'destroy'
+on_reboot   = 'restart'
+on_crash    = 'restart'
+
+root 	    = '/dev/hda1 ro'
+extra = '2 console=xvc0'
Index: trunk/packages/invirt-xen-config/sysvms/s_remote.mako
===================================================================
--- trunk/packages/invirt-xen-config/sysvms/s_remote.mako	(revision 1452)
+++ trunk/packages/invirt-xen-config/sysvms/s_remote.mako	(revision 1452)
@@ -0,0 +1,22 @@
+<%
+from invirt.config import structs as cfg
+%>
+import os
+
+release     = os.uname()[2]
+kernel      = '/boot/vmlinuz-%s' % release
+ramdisk     = '/boot/initrd.img-%s' % release
+memory      = '512'
+
+disk        = ['phy:xenvg/s_remote_hda,hda,w']
+
+name        = 's_remote'
+
+vif         = [ 'ip=${cfg.remote.ip},mac=00:16:3E:7F:C2:55' ]
+
+on_poweroff = 'destroy'
+on_reboot   = 'restart'
+on_crash    = 'restart'
+
+root = "/dev/hda1 ro"
+extra = '2 console=xvc0'