Index: package_tags/xvm-devconfig/0.15/debian/changelog
===================================================================
--- package_tags/xvm-devconfig/0.15/debian/changelog	(revision 1506)
+++ package_tags/xvm-devconfig/0.15/debian/changelog	(revision 1506)
@@ -0,0 +1,93 @@
+xvm-devconfig (0.15) unstable; urgency=low
+
+  * Use xvm.mit.edu instead of sipb-xen-dev.mit.edu as the database
+    hostname
+
+ -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 05:57:46 -0400
+
+xvm-devconfig (0.14) unstable; urgency=low
+
+  * sipb-xen-base -> invirt-base
+
+ -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:42 -0400
+
+xvm-devconfig (0.13) unstable; urgency=low
+
+  * sipb-xen-console -> xvm-console
+  * remote -> xvm-remote (at least canonically)
+
+ -- Evan Broder <broder@mit.edu>  Mon, 27 Oct 2008 14:25:13 -0400
+
+xvm-devconfig (0.12) unstable; urgency=low
+
+  * Kill DEB_AUTO_UPDATE_DEBIAN_CONTROL
+
+ -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:47:40 -0400
+
+xvm-devconfig (0.11) unstable; urgency=low
+
+  * Change sx-blade-2 to torchwood-institute
+
+ -- Evan Broder <broder@mit.edu>  Tue, 30 Sep 2008 20:52:49 -0400
+
+xvm-devconfig (0.10) unstable; urgency=low
+
+  * Added dev.xvm.mit.edu domain for sipb-xen-dns.
+
+ -- Yang Zhang <y_z@mit.edu>  Mon, 25 Aug 2008 01:04:29 -0400
+
+xvm-devconfig (0.9) unstable; urgency=low
+
+  * added configs for sipb-xen-www
+
+ -- Yang Zhang <y_z@mit.edu>  Fri,  8 Aug 2008 02:40:16 -0400
+
+xvm-devconfig (0.8) unstable; urgency=low
+
+  * add more config for web interface
+
+ -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 23:25:24 -0400
+
+xvm-devconfig (0.7) unstable; urgency=low
+
+  * added dns.contact for sipb-xen-dns
+
+ -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 19:19:29 -0400
+
+xvm-devconfig (0.6) unstable; urgency=low
+
+  * added decomposition of DB URI (for sipb-xen-console)
+
+ -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 01:23:54 -0400
+
+xvm-devconfig (0.5) unstable; urgency=low
+
+  * remove deprecated /etc/invirt/{hosts,realm}
+  * add apt section with keyid
+  * add network section with gateway, netmask
+
+ -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 01:17:57 -0400
+
+xvm-devconfig (0.4) unstable; urgency=low
+
+  * Put host hostnames in values, not keys.
+
+ -- Greg Price <price@mit.edu>  Sun, 27 Jul 2008 23:42:30 -0400
+
+xvm-devconfig (0.3) unstable; urgency=low
+
+  * Add a YAML version with much more info.
+
+ -- Greg Price <price@mit.edu>  Sun, 27 Jul 2008 17:43:33 -0400
+
+xvm-devconfig (0.2) unstable; urgency=low
+
+  * Add postinst to reload config.
+
+ -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 20:38:59 -0400
+
+xvm-devconfig (0.1) unstable; urgency=low
+
+  * First cut.  Has hosts and realm.
+
+ -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 18:56:49 -0400
Index: package_tags/xvm-devconfig/0.15/debian/compat
===================================================================
--- package_tags/xvm-devconfig/0.15/debian/compat	(revision 1506)
+++ package_tags/xvm-devconfig/0.15/debian/compat	(revision 1506)
@@ -0,0 +1,1 @@
+5
Index: package_tags/xvm-devconfig/0.15/debian/control
===================================================================
--- package_tags/xvm-devconfig/0.15/debian/control	(revision 1506)
+++ package_tags/xvm-devconfig/0.15/debian/control	(revision 1506)
@@ -0,0 +1,14 @@
+Source: xvm-devconfig
+Section: servers
+Priority: important
+Maintainer: xvm@mit.edu
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
+Standards-Version: 3.7.2
+
+Package: xvm-devconfig
+Architecture: all
+Provides: invirt-config
+Conflicts: invirt-config
+Depends: ${shlibs:Depends}, ${misc:Depends}, invirt-base
+Description: XVM dev-cluster config
+  This is the master configuration package for the XVM development cluster.
Index: package_tags/xvm-devconfig/0.15/debian/copyright
===================================================================
--- package_tags/xvm-devconfig/0.15/debian/copyright	(revision 1506)
+++ package_tags/xvm-devconfig/0.15/debian/copyright	(revision 1506)
@@ -0,0 +1,17 @@
+This software was written for the XVM project <xvm@mit.edu>
+of the MIT Student Information Processing Board.
+
+Copyright :
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in the file /usr/share/common-licenses/GPL.
Index: package_tags/xvm-devconfig/0.15/debian/rules
===================================================================
--- package_tags/xvm-devconfig/0.15/debian/rules	(revision 1506)
+++ package_tags/xvm-devconfig/0.15/debian/rules	(revision 1506)
@@ -0,0 +1,3 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
Index: package_tags/xvm-devconfig/0.15/debian/xvm-devconfig.install
===================================================================
--- package_tags/xvm-devconfig/0.15/debian/xvm-devconfig.install	(revision 1506)
+++ package_tags/xvm-devconfig/0.15/debian/xvm-devconfig.install	(revision 1506)
@@ -0,0 +1,1 @@
+files/* .
Index: package_tags/xvm-devconfig/0.15/debian/xvm-devconfig.postinst
===================================================================
--- package_tags/xvm-devconfig/0.15/debian/xvm-devconfig.postinst	(revision 1506)
+++ package_tags/xvm-devconfig/0.15/debian/xvm-devconfig.postinst	(revision 1506)
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postinst script
+#
+# see: dh_installdeb(1)
+
+set -e
+set -x
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	/usr/sbin/invirt-reload
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Index: package_tags/xvm-devconfig/0.15/files/etc/invirt/master.yaml
===================================================================
--- package_tags/xvm-devconfig/0.15/files/etc/invirt/master.yaml	(revision 1506)
+++ package_tags/xvm-devconfig/0.15/files/etc/invirt/master.yaml	(revision 1506)
@@ -0,0 +1,65 @@
+authn:
+ - type: kerberos
+   realm: ATHENA.MIT.EDU
+
+authz:
+ - type: afs
+   cell: athena.mit.edu
+
+hosts: # hosts on which VMs run
+ - hostname: black-mesa.mit.edu
+   ip: 18.181.0.60
+ - hostname: torchwood-institute.mit.edu
+   ip: 18.181.0.165
+
+apt:
+ keyid: AB1A81AA
+
+db:
+ uri: postgres://sipb-xen@xvm.mit.edu/sipb_xen
+ host: xvm.mit.edu
+ port: 5432
+ user: sipb-xen
+ dbname: sipb_xen
+
+console:
+ hostname: xvm-console.mit.edu
+ ip: 18.181.0.134
+
+remote:
+ hostname: xvm-remote.mit.edu
+ ip: 18.181.0.188
+
+dns:
+ contact: xvm@mit.edu
+ domains:  # first one is advertised
+  - xvm.mit.edu
+  - dev.xvm.mit.edu
+  - servers.csail.mit.edu
+ nameservers:
+  - hostname: ns1.xvm.mit.edu
+    ip: 18.181.0.62
+ rootip: 18.181.0.62
+ passup:
+  - _vlmcs._tcp
+ parent: mit.edu
+
+network:
+ gateway: 18.181.0.1
+ netmask: 255.255.0.0
+
+web:
+ baseuri: https://xvm.mit.edu/
+ hostname: xvm.mit.edu
+ errormail: xvm@mit.edu
+ adminacl: system:xvm
+ errormail_exclude:
+  - price
+  - ecprice
+  - andersk
+
+svn:
+ repopath: /afs/sipb.mit.edu/project/xvm/svn
+
+trac:
+ uri: https://xvm.mit.edu/trac/wiki