Index: trunk/packages/invirt-console/files/etc/conserver/conserver.cf.invirt
===================================================================
--- trunk/packages/invirt-console/files/etc/conserver/conserver.cf.invirt	(revision 1813)
+++ 	(revision )
@@ -1,23 +1,0 @@
-# default config for console
-config * {
-	sslrequired yes;
-}
-# If no consoles are defined, as is the case when the host first boots
-# up, conserver will quit. This keeps it running.
-#
-# Should someone create a VM called dummy-console, their VM will
-# shadow over this one
-console dummy-console {
-        master localhost;
-        type noop;
-}
-
-default * {
-        type exec;
-}
-access * {
-        trusted 127.0.0.1;
-        limited *;
-}
-
-#include /etc/conserver/invirt-hosts.cf
Index: trunk/packages/invirt-console/files/etc/conserver/console.cf
===================================================================
--- trunk/packages/invirt-console/files/etc/conserver/console.cf	(revision 1813)
+++ 	(revision )
@@ -1,5 +1,0 @@
-config * {
-  master localhost;
-  port   3109;
-  sslenabled yes;
-}
Index: trunk/packages/invirt-console/files/etc/conserver/invirt-hosts.cf.mako
===================================================================
--- trunk/packages/invirt-console/files/etc/conserver/invirt-hosts.cf.mako	(revision 1813)
+++ 	(revision )
@@ -1,4 +1,0 @@
-<% from invirt.config import structs as cfg %>\
-% for h in cfg.hosts:
-#include /etc/conserver/conf.d/${h.hostname}
-% endfor
Index: trunk/packages/invirt-console/files/etc/issue.net.no_tkt.mako
===================================================================
--- trunk/packages/invirt-console/files/etc/issue.net.no_tkt.mako	(revision 1813)
+++ 	(revision )
@@ -1,4 +1,0 @@
-<% from invirt.config import structs as cfg %>\
-You must login to the ${cfg.console.hostname} console server using
-Kerberos tickets, but your ssh client did not pass a valid ticket to the
-console server.
Index: trunk/packages/invirt-console/files/etc/issue.net.no_user
===================================================================
--- trunk/packages/invirt-console/files/etc/issue.net.no_user	(revision 1813)
+++ 	(revision )
@@ -1,2 +1,0 @@
-The VM you are attempting to access does not appear to exist.
-
Index: trunk/packages/invirt-console/files/etc/motd.invirt
===================================================================
--- trunk/packages/invirt-console/files/etc/motd.invirt	(revision 1813)
+++ 	(revision )
@@ -1,3 +1,0 @@
-
-Type Ctrl-e, then c, then . to escape from the console
-
Index: trunk/packages/invirt-console/files/etc/nss-pgsql.conf.mako
===================================================================
--- trunk/packages/invirt-console/files/etc/nss-pgsql.conf.mako	(revision 1813)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<% from invirt.config import structs as cfg %>
-connectionstring = host=${cfg.db.host} dbname=${cfg.db.dbname} user=${cfg.db.user} port=${cfg.db.port}
-
-getpwnam = SELECT name, '*', name, '/consolefs/'|| name, '/usr/bin/invirt-consolesh', machine_id + 1000, machine_id + 1000 FROM machines WHERE name = $1
-getpwuid = SELECT name, '*', name, '/consolefs/'|| name, '/usr/bin/invirt-consolesh', machine_id + 1000, machine_id + 1000 FROM machines WHERE machine_id + 1000 = $1
-allusers = SELECT name, '*', name, '/consolefs/'|| name, '/usr/bin/invirt-consolesh', machine_id + 1000, machine_id + 1000 FROM machines
-getgrnam = SELECT name, 'x', machine_id + 1000, NULL FROM machines WHERE name = $1
-getgrgid = SELECT name, 'x', machine_id + 1000, NULL FROM machines WHERE machine_id + 1000 = $1
-groups_dyn = SELECT NULL LIMIT 0;
-allgroups = SELECT name, 'x', machine_id + 1000, NULL FROM machines
Index: trunk/packages/invirt-console/files/etc/remctl/acl/invirt-console-server.mako
===================================================================
--- trunk/packages/invirt-console/files/etc/remctl/acl/invirt-console-server.mako	(revision 1813)
+++ 	(revision )
@@ -1,4 +1,0 @@
-<% from invirt.config import structs as cfg %>\
-% for h in cfg.hosts:
-host/${h.hostname}@${cfg.authn[0].realm}
-% endfor
Index: trunk/packages/invirt-console/files/etc/remctl/conf.d/invirt-console
===================================================================
--- trunk/packages/invirt-console/files/etc/remctl/conf.d/invirt-console	(revision 1813)
+++ 	(revision )
@@ -1,1 +1,0 @@
-console update /usr/sbin/invirt-console-update /etc/remctl/acl/invirt-console-server