Index: trunk/packages/invirt-dns/debian/changelog
===================================================================
--- trunk/packages/invirt-dns/debian/changelog	(revision 2037)
+++ trunk/packages/invirt-dns/debian/changelog	(revision 2197)
@@ -1,2 +1,8 @@
+invirt-dns (0.0.10) unstable; urgency=low
+
+  * Add support for resolving PTR records in the in-addr.arpa zone
+
+ -- Quentin Smith <quentin@mit.edu>  Fri, 27 Feb 2009 02:39:25 -0500
+
 invirt-dns (0.0.9) unstable; urgency=low
 
Index: trunk/packages/invirt-dns/invirt-dns
===================================================================
--- trunk/packages/invirt-dns/invirt-dns	(revision 2037)
+++ trunk/packages/invirt-dns/invirt-dns	(revision 2197)
@@ -94,24 +94,39 @@
                                                 ttl, self.soa, auth=True))
             else: # Request for a subdomain.
-                value = invirt.database.NIC.query.filter_by(hostname=host).first()
-                if value:
-                    ip = value.ip
-                else:
-                    value = invirt.database.Machine.query().filter_by(name=host).first()
+                if name.endswith(".in-addr.arpa"): # Reverse resolution here
+                    if type in (dns.PTR, dns.ALL_RECORDS):
+                        ip = '.'.join(reversed(name.split('.')[:-2]))
+                        value = invirt.database.NIC.query.filter_by(ip=ip).first()
+                        if value and value.hostname:
+                            hostname = value.hostname
+                            if '.' not in hostname:
+                                hostname = hostname + "." + config.dns.domains[0]
+                            record = dns.Record_PTR(hostname, ttl)
+                            results.append(dns.RRHeader(name, dns.PTR, dns.IN,
+                                                        ttl, record, auth=True))
+                        else: # IP address doesn't point to an active host
+                            return defer.fail(failure.Failure(dns.AuthoritativeDomainError(name)))
+                    # FIXME: Should only return success with no records if the name actually exists
+                else: # Forward resolution here
+                    value = invirt.database.NIC.query.filter_by(hostname=host).first()
                     if value:
-                        ip = value.nics[0].ip
+                        ip = value.ip
                     else:
+                        value = invirt.database.Machine.query().filter_by(name=host).first()
+                        if value:
+                            ip = value.nics[0].ip
+                        else:
+                            return defer.fail(failure.Failure(dns.AuthoritativeDomainError(name)))
+                
+                    if ip is None:
                         return defer.fail(failure.Failure(dns.AuthoritativeDomainError(name)))
-                
-                if ip is None:
-                    return defer.fail(failure.Failure(dns.AuthoritativeDomainError(name)))
-
-                if type in (dns.A, dns.ALL_RECORDS):
-                    record = dns.Record_A(ip, ttl)
-                    results.append(dns.RRHeader(name, dns.A, dns.IN, 
-                                                ttl, record, auth=True))
-                elif type == dns.SOA:
-                    results.append(dns.RRHeader(domain, dns.SOA, dns.IN,
-                                                ttl, self.soa, auth=True))
+
+                    if type in (dns.A, dns.ALL_RECORDS):
+                        record = dns.Record_A(ip, ttl)
+                        results.append(dns.RRHeader(name, dns.A, dns.IN, 
+                                                    ttl, record, auth=True))
+                    elif type == dns.SOA:
+                        results.append(dns.RRHeader(domain, dns.SOA, dns.IN,
+                                                    ttl, self.soa, auth=True))
             if len(results) == 0:
                 authority = []